org.apache.flume.source

## Class SyslogSourceConfigurationConstants

- java.lang.Object
- - org.apache.flume.source.SyslogSourceConfigurationConstants

-     public final class SyslogSourceConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_BATCHSIZE`
    `static String` | `CONFIG_CHARSET`
    `static String` | `CONFIG_DATEFORMAT`
    `static String` | `CONFIG_EVENTSIZE` Maximum allowable size of events.
    `static String` | `CONFIG_FORMAT_PREFIX`
    `static String` | `CONFIG_HOST`
    `static String` | `CONFIG_KEEP_FIELDS`
    `static String` | `CONFIG_KEEP_FIELDS_HOSTNAME`
    `static String` | `CONFIG_KEEP_FIELDS_PRIORITY`
    `static String` | `CONFIG_KEEP_FIELDS_TIMESTAMP`
    `static String` | `CONFIG_KEEP_FIELDS_VERSION`
    `static String` | `CONFIG_NUMPROCESSORS` Number of processors used to calculate number of threads to spawn.
    `static String` | `CONFIG_PORT`
    `static String` | `CONFIG_PORT_CHARSET_PREFIX`
    `static String` | `CONFIG_PORT_HEADER`
    `static String` | `CONFIG_PORTS` List of ports to listen to.
    `static String` | `CONFIG_READBUF_SIZE`
    `static String` | `CONFIG_REGEX`
    `static String` | `CONFIG_REPLACE`
    `static String` | `CONFIG_SEARCH`
    `static int` | `DEFAULT_BATCHSIZE`
    `static String` | `DEFAULT_CHARSET`
    `static String` | `DEFAULT_KEEP_FIELDS`
    `static String` | `DEFAULT_PORT_HEADER`
    `static int` | `DEFAULT_READBUF_SIZE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_PORT

          public static final String CONFIG_PORT

      See Also:
        Constant Field Values

    - #### CONFIG_PORTS

          public static final String CONFIG_PORTS

      List of ports to listen to.
      See Also:
        Constant Field Values

    - #### CONFIG_HOST

          public static final String CONFIG_HOST

      See Also:
        Constant Field Values

    - #### CONFIG_FORMAT_PREFIX

          public static final String CONFIG_FORMAT_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_REGEX

          public static final String CONFIG_REGEX

      See Also:
        Constant Field Values

    - #### CONFIG_SEARCH

          public static final String CONFIG_SEARCH

      See Also:
        Constant Field Values

    - #### CONFIG_REPLACE

          public static final String CONFIG_REPLACE

      See Also:
        Constant Field Values

    - #### CONFIG_DATEFORMAT

          public static final String CONFIG_DATEFORMAT

      See Also:
        Constant Field Values

    - #### CONFIG_NUMPROCESSORS

          public static final String CONFIG_NUMPROCESSORS

      Number of processors used to calculate number of threads to spawn.
      See Also:
        Constant Field Values

    - #### CONFIG_EVENTSIZE

          public static final String CONFIG_EVENTSIZE

      Maximum allowable size of events.
      See Also:
        Constant Field Values

    - #### CONFIG_BATCHSIZE

          public static final String CONFIG_BATCHSIZE

      See Also:
        Constant Field Values

    - #### CONFIG_CHARSET

          public static final String CONFIG_CHARSET

      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          public static final String DEFAULT_CHARSET

      See Also:
        Constant Field Values

    - #### CONFIG_PORT_CHARSET_PREFIX

          public static final String CONFIG_PORT_CHARSET_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_BATCHSIZE

          public static final int DEFAULT_BATCHSIZE

      See Also:
        Constant Field Values

    - #### CONFIG_PORT_HEADER

          public static final String CONFIG_PORT_HEADER

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT_HEADER

          public static final String DEFAULT_PORT_HEADER

      See Also:
        Constant Field Values

    - #### CONFIG_READBUF_SIZE

          public static final String CONFIG_READBUF_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_READBUF_SIZE

          public static final int DEFAULT_READBUF_SIZE

      See Also:
        Constant Field Values

    - #### CONFIG_KEEP_FIELDS

          public static final String CONFIG_KEEP_FIELDS

      See Also:
        Constant Field Values

    - #### DEFAULT_KEEP_FIELDS

          public static final String DEFAULT_KEEP_FIELDS

      See Also:
        Constant Field Values

    - #### CONFIG_KEEP_FIELDS_PRIORITY

          public static final String CONFIG_KEEP_FIELDS_PRIORITY

      See Also:
        Constant Field Values

    - #### CONFIG_KEEP_FIELDS_VERSION

          public static final String CONFIG_KEEP_FIELDS_VERSION

      See Also:
        Constant Field Values

    - #### CONFIG_KEEP_FIELDS_TIMESTAMP

          public static final String CONFIG_KEEP_FIELDS_TIMESTAMP

      See Also:
        Constant Field Values

    - #### CONFIG_KEEP_FIELDS_HOSTNAME

          public static final String CONFIG_KEEP_FIELDS_HOSTNAME

      See Also:
        Constant Field Values

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.